> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md).

# WindowsでCollectorをインストールする

このページでは、Windowsデバイス向けのCollectorのインストールおよび展開プロセスについて説明します。このプロセスでは、次のシナリオを扱います：

* 小規模または概念実証のセットアップ
* 物理デバイスへの中規模から大規模の展開
* VMへの展開。

{% hint style="info" %}
開始前に、インフラストラクチャに適用される展開パスを特定するには、[Collectorをインストールする](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector.md)を参照してください。
{% endhint %}

## 開始前の準備

開始前に、以下を用意してください：

* Collector をインストールする Windows デバイス。
* パスに`data`を含むNexthinkインスタンスのURL。詳細については、[接続要件](/platform/ja/configuring_nexthink/before-you-begin/technical-requirements/connectivity-requirements.md)を参照してください。
  * 例: `<instance>.data.<region>.nexthink.cloud`
* Nexthinkからのウェルカムメールで受信した`Customer Key.txt`ファイルのカスタマーキー。
* Nexthinkインスタンスに関連付けられたルート証明書。
* Nexthinkインスタンスの管理者認証情報。
* 任意: Microsoft Intuneなどのサードパーティ製展開ツールまたは統合エンドポイント管理（UEM）。
* 任意: Windows Installer（MSI）を使用する場合は、OrcaなどのMSIエディター。

{% hint style="warning" %}
開始前に、WindowsデバイスでどのバージョンのNexthink Collectorも実行されていないことを確認してください。 Collectorがすでに実行されている場合は、続行する前にアンインストールしてください。
{% endhint %}

{% hint style="warning" %}
Collectorバージョン25.4.1以降、VDI Experienceを使用するすべてのデバイスで、**VDI Client Extension**が自動的に有効になります。以前のバージョンでは、再展開なしで自動的に有効化されるよう、最新のCollectorバージョンにアップグレードすることをNexthinkは推奨します。
{% endhint %}

## インストールフロー

次の図は、すべてのWindowsシナリオのインストールおよび展開パスを示しています。すべてのパスで前提条件は共通です。

```mermaid
%%{ init : { "theme" : "default", "flowchart" : { "curve" : "linear" }}}%%
flowchart TD
    Pre(["✅ 前提条件の確認済み"]) --> Obt["📥 Collector を取得"]
    Obt --> C{"デプロイメント<br/>シナリオは？"}
    C --> P["💻 物理デバイス"]
    C --> V["🖥️ VM"]

    P --> S["小規模または PoV"]
    S --> S1["⚙️ Collector を構成"]
    S1 --> S2["🖥️ 単一デバイスにインストール<br/>して検証"]
    S2 --> S3["🖥️ 残りのデバイスにインストール"]

    P --> P0["中規模または大規模"]
    P0 --> P1["⚙️ Collector を構成"]
    P1 --> P2["🖥️ 単一デバイスにインストール<br/>して検証"]
    P2 --> P3["🚀 GPO または ConfigMgr を使用して<br/>すべてのデバイスにデプロイ"]

    V --> V1["⚙️ VM パラメータで<br/>Collector を構成"]
    V1 --> V2["🔌 仮想化コネクタをインストール"]
    V2 --> V3{"非永続的<br/>VDI？"}
    V3 -->|Yes| V4["自動更新を無効化"]
    V3 -->|No| V5["🚀 すべての VM にデプロイ"]
    V4 --> V5
    V5 --> V6["✔️ デプロイを検証"]

    classDef start fill:#EEF3F7,stroke:#1046A8,color:#221F20;
    classDef decision fill:#0B1441,stroke:#0B1441,color:#FFFFFF;
    classDef path fill:#1046A8,stroke:#0B1441,color:#FFFFFF;
    classDef process fill:#3194F7,stroke:#1046A8,color:#FFFFFF;
    classDef verify fill:#00B1A9,stroke:#00B1A9,color:#FFFFFF;

    class Pre start;
    class C,V3 decision;
    class P,V,S,P0 path;
    class Obt,S1,S2,S3,P1,P2,P3,V1,V2,V4,V5 process;
    class V6 verify;
```

## 展開手順

以下のセクションの手順を順番に実行してください：

1. [Collectorを取得する](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/obtaining-collector.md)
2. 物理デバイスへのデプロイの場合：
   1. [エンドポイントデバイス向けのCollectorの構成](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/configuring-collector-for-endpoint-devices.md)
   2. [単一デバイスへのCollectorのインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/installing-collector-on-a-single-device.md)
   3. [WindowsへのCollectorの展開](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/deploying-collector-on-windows-tp.md)
3. VMへの展開の場合: [VM向けCollectorの構成と展開](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows/configuring-and-deploying-collector-for-vms.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
